#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2020-07-14

# 2024-06-14: modified imports for cmk 2.2
#             moved back to ~/local/share/check_mk/web/plugins/views

from cmk.gui.i18n import _
from cmk.gui.views.inventory.registry import inventory_displayhints

inventory_displayhints.update({
    '.hardware.components.huawei:': {
        'title': _('Huawei'),
        'keyorder': ['index', 'name', 'description', 'board_type', 'serial_number',
                     'manufactured_date', 'vendor',
                     ],
        'view': 'invhuaweicomponents_of_host',
    },
    '.hardware.components.huawei:*.index': {'title': _('Index'), },
    '.hardware.components.huawei:*.name': {'title': _('Name')},
    '.hardware.components.huawei:*.description': {'title': _('Description'), },
    '.hardware.components.huawei:*.bom_id': {'title': _('BOM ID'), },
    '.hardware.components.huawei:*.bom_description': {'title': _('BOM Description')},
    '.hardware.components.huawei:*.manufactured_date': {'title': _('Manufactured Date')},
    '.hardware.components.huawei:*.board_type': {'title': _('Board Type'), },
    '.hardware.components.huawei:*.software_revision': {'title': _('Software Revision'), },
    '.hardware.components.huawei:*.firmware_revision': {'title': _('Firmware Revision'), },
    '.hardware.components.huawei:*.hardware_revision': {'title': _('Hardware Revision'), },
    '.hardware.components.huawei:*.serial_number': {'title': _('Serial Number'), },
    '.hardware.components.huawei:*.vendor': {'title': _('Vendor'), },
})
